Ask Your Question
1

OpenCV 2.4.0 vs 2.3.1 + ROS Fuerte

asked 2012-05-08 08:08:57 -0600

updated 2014-04-20 14:09:49 -0600

ngrennan gravatar image

Hello I'm facing problems with ROS and OpenCV, I have my stuffs developed in 2.3.1 and ROS is comming with opencv 2.4.0, and I'm also facing problem in RGBDSLAM.

My questions:

Should i update everything to 2.4.0?

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2012-05-08 16:57:27 -0600

Kevin gravatar image

ROS doesn't come with OpenCV. OpenCV is an external library. Having said that, most of the packages have been developed with 2.3.1. I suggest installing 2.4 and submitting tickets to packages that don't compile.

Also, it is preferred to ask only one question per posting so we can close the question when it is answered. You asked 4 questions.

edit flag offensive delete link more
0

answered 2012-05-08 22:36:59 -0600

Sorry, i have fixed the 4 questions. I have installed ros fuerte by synaptic and there is ros-fuerte-opencv version 2.4.0 and there is some dependencies on this package. So probably it make part of ros? no?

edit flag offensive delete link more

Comments

No ... OpenCV should not be part of ROS. ROS has been pulling libraries out (eigen, PCL, flann, OpenNI, etc) because it was impossible to keep ROS and all of these libraries in sync.

Kevin gravatar imageKevin ( 2012-05-09 02:31:23 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2012-05-08 08:08:57 -0600

Seen: 1,278 times

Last updated: May 08 '12